## marble 24.12.2

=== debian/changelog ===
marble (4:24.12.2-3) unstable; urgency=medium

  * Stop depending on dummy package for armhf; build with -Os on armhf
    (Closes: #1098902), thanks to Adrian Bunk

 -- Matthias Geiger <werdahias@debian.org>  Tue, 25 Feb 2025 23:31:00 +0100

marble (4:24.12.2-2) unstable; urgency=medium

  * 'acc' autopkgtest: set -std=c++17, needed for Qt 6

 -- Matthias Geiger <werdahias@debian.org>  Sat, 22 Feb 2025 16:14:31 +0100

marble (4:24.12.2-1) unstable; urgency=medium

  * New upstream release 24.12.2 
  * d/control: Update my mail address
  * d/control: Depend on uninstallable armhf package to prevent armhf
    build

 -- Matthias Geiger <werdahias@debian.org>  Wed, 19 Feb 2025 15:13:34 +0100

marble (4:22.12.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libqt5webkit5-dev from (Build-)Depends. (Closes: #1094740)

 -- Bastian Germann <bage@debian.org>  Mon, 10 Feb 2025 21:44:51 +0100

marble (4:24.12.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:24.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2025 18:53:12 +0100

marble (4:24.12.0-1) experimental; urgency=medium

  [ Matthias Geiger ]
  * New upstream release. 
  * Updated libmarblewidget-qt5-28.install for new version.
  * Drop marble.knsrc from marble-data.install
  * Updated libmarblewidget-qt5-28.symbols for new symbols

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Switch library soname to libmarblewidget-qt6-28.
  * Update the list of installed files.
  * Split marble-behaim into its own binary package.
  * Add binary packages for qml6-module-org-kde-marble and
    qml6-module-org-kde-marble-imageprovider.
  * Update symbols from build for 24.12.0.
  * Bump Standards-Version to 4.7.0, no change required.
  * Review copyright information.
  * Switch away from transitional pkg-config build dependency.
  * Drop obsolete lintian overrides.
  * Switch to declarative KF6 and pkgkde_symbolshelper debhelper build
    sequences.
  * Switch to dh_qmldeps for runtime QML dependencies.
  * Drop obsolete Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 30 Dec 2024 19:11:01 +0100
