=== debian/changelog ===
marble (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:30 +0000

marble (4:24.12.2-3ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Feb 2025 07:33:47 +0000

marble (4:24.12.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 09:20:20 +0000

marble (4:24.12.2-1ubuntu1) plucky; urgency=high

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 19:56:25 +0000

marble (4:24.12.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2025 15:11:47 +0000
